%global oname targetcli-fb

Summary:        An administration shell for storage targets
Name:           targetcli
Version:        2.1.54
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://github.com/open-iscsi/%{oname}
Source0:        %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools systemd-rpm-macros
Requires:       python3-rtslib target-restore python3-configshell python3-six python3-dbus python3-gobject-base
BuildArch:      noarch

%description
An administration shell for configuring iSCSI, FCoE, and other SCSI targets, using the TCM/LIO
kernel target subsystem. FCoE users will also need to install and use fcoe-utils.

%prep
%autosetup -n %{oname}-%{version}

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_sysconfdir}/target/backup
mkdir -p %{buildroot}%{_mandir}/man8/
install -m 644 targetcli*.8 %{buildroot}%{_mandir}/man8/

mkdir -p %{buildroot}%{_unitdir}/
install -m 644 systemd/* %{buildroot}%{_unitdir}/

%files
%license COPYING
%doc README.md
%{_unitdir}/*
%{python3_sitelib}/targetcli*
%{_bindir}/targetcli
%{_bindir}/targetclid
%dir %{_sysconfdir}/target
%dir %{_sysconfdir}/target/backup
%{_mandir}/man8/targetcli*.8*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.54-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.54-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.54-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.54-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 2.1.54-1
- initial build
